Name:           ocaml-magic
Version:        0.7.3
Release:        %mkrel 17
Summary:        OCaml bindings for the File type determination library
License:        LGPL
Group:          Development/OCaml
URL:            https://sourceforge.net/projects/ocaml-magic/
Source0:        https://sourceforge.net/projects/ocaml-magic/files/ocaml-magic-%{version}.tar.gz
BuildRequires:  libmagic-devel
BuildRequires:  ocaml-findlib
Requires:       libmagic-devel

%description
Libmagic is a library for classifying files according to magic number tests.
This package provides OCaml interface to this C library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/magic
make install

%files
%doc LICENSE README
%dir %{_libdir}/ocaml/magic
%{_libdir}/ocaml/magic/META
%{_libdir}/ocaml/magic/*.cma
%{_libdir}/ocaml/magic/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/
%{_libdir}/ocaml/magic/*.a
%{_libdir}/ocaml/magic/*.cmxa
%{_libdir}/ocaml/magic/*.cmx
%{_libdir}/ocaml/magic/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.7.3-17.mga8
+ Revision: 1670468
- Rebuild to generate ocamlx provides
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 28 2020 umeabot <umeabot> 0.7.3-16.mga8
+ Revision: 1551163
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.7.3-15.mga8
+ Revision: 1544526
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.7.3-14.mga8
+ Revision: 1483156
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.7.3-13.mga7
+ Revision: 1324053
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.7.3-12.mga7
+ Revision: 1323768
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.7.3-11.mga7
+ Revision: 1299894
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.7.3-10.mga7
+ Revision: 1179552
- rebuild for new ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.7.3-9.mga6
+ Revision: 956414
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.3-8.mga5
+ Revision: 745877
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.3-7.mga5
+ Revision: 683065
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.3-6.mga4
+ Revision: 508467
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.7.3-5.mga3
+ Revision: 361489
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.7.3-4.mga3
+ Revision: 301108
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.7.3-3.mga3
+ Revision: 300508
- new rpm group for ocaml

* Fri Feb 17 2012 malo <malo> 0.7.3-2.mga2
+ Revision: 210089
- missing requires libmagic-devel

* Wed Jan 11 2012 blue_prawn <blue_prawn> 0.7.3-1.mga2
+ Revision: 195051
- imported package ocaml-magic

